### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class CLIOptionsServiceDeployment

java.lang.Object
com.sas.services.deployment.CLIOptionsServiceDeployment

@SASScope("ALL") @BinaryCompatibilityOnly public final class CLIOptionsServiceDeployment extends Object
Command line options used to specify the configuration used for administrative actions to be performed on a SAS Foundation Services deployment.

SAS Foundation Services Deployment Command Line Options
Option | Description
--- | ---
`serviceDeploymentName` | Name of the option used to specify the name of the SAS Foundation Services deployment (i.e. `SoftwareComponent.Name`)
`serviceGroupName` | Name of the option used to specify the name of a group of services defined within a SAS Foundation Services deployment (i.e. `Tree.Name`)
`serviceName` | Name of the option used to specify the name a service defined within a SAS Foundation Services deployment (i.e. `ServiceComponent.Name`)
`serviceConsumerName` | Name of the option used to specify the name of the SAS Foundation Services deployment service configuration consumer.
`serviceConsumerNameNew` | Name of the option used to specify the new name for a SAS Foundation Services deployment service configuration consumer.
User/Password Options
`serviceDeploymentFile` | Name of an option used to designate a UTF-8 encoded XML file that contains a configuration for a SAS Foundation Services deployment.
`serviceConfigFile` | Name of an option used to designate a UTF-8 encoded XML file that contains a layered configuration for a SAS Foundation Service.
`directory` | Name of an option used to designate a absolute directory path.
`propertyFile` | Name of an option used to designate an absolute path to a properties file.
`serviceApplication` | Name of the option used to specify the name of an application that is associated with a layered configuration for a SAS Foundation Service.
`isOverwriteConfig` | Name of an option used to specify whether it is OK to overwrite a service's configuration if the configuration being installed conflicts with the installed configuration.
`isOverwriteFile` | Name of an option used to specify whether it is OK to overwrite a file when attempting to export metadata from the server if the destination file already exists.
`isRemoveUnusedResources` | Name of an option used to specify whether it is OK to remove unused resources from a service's configuration when a consumer is uninstalled.

Since:
  9.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLIOptionsServiceDeployment()`
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.commons.cli.Option`
  `createOptionConfigFile()`
  Gets the optional option which required to specify the name of a file which contains all configuration options.
  `org.apache.commons.cli.Option`
  `createOptionConsumerName()`
  Gets the option which required to specify the name of a SAS Foundation Services deployment service configuration consumer.
  `org.apache.commons.cli.Option`
  `createOptionConsumerNameNew()`
  Gets the option which required to specify the new name of a SAS Foundation Services deployment service configuration consumer.
  `org.apache.commons.cli.Option`
  `createOptionDeploymentFile()`
  Gets the option which required to specify the name of a file for a SAS Foundation Services deployment.
  `org.apache.commons.cli.Option`
  `createOptionDeploymentID()`
  Gets the option which required to specify the FQID of a SAS Foundation Services deployment.
  `org.apache.commons.cli.Option`
  `createOptionDeploymentName()`
  Gets the option which required to specify the name of a SAS Foundation Services deployment.
  `org.apache.commons.cli.Option`
  `createOptionDirectory()`
  Gets the option which required to specify the absolute path to a file system directory.
  `org.apache.commons.cli.Option`
  `createOptionIsOverwriteConfig()`
  Gets the optional control which can be used to specify whether it is OK to overwrite a SAS Foundation Services deployment XML file when exporting a deployment.
  `org.apache.commons.cli.Option`
  `createOptionIsOverwriteFile()`
  Gets the optional control which can be used to specify whether it is OK to overwrite a SAS Foundation Services deployment XML file when exporting a deployment.
  `org.apache.commons.cli.Option`
  `createOptionIsRemoveUnusedResources()`
  Gets the option which is required to specify whether unused resources should be removed from a service's configuration when a consumer's configuration is uninstalled.
  `org.apache.commons.cli.Option`
  `createOptionPropertyFile()`
  Gets the option which required to specify the absolute path to a properties file.
  `org.apache.commons.cli.Option`
  `createOptionServiceApplication()`
  Gets the option which required to specify the name of an application which uses a layered service configuration.
  `org.apache.commons.cli.Option`
  `createOptionServiceConfigFile()`
  Gets the option which required to specify the name of a file for a SAS Foundation Services deployment.
  `org.apache.commons.cli.Option`
  `createOptionServiceGroupName()`
  Gets the option used to specify the name of a group of services defined within a SAS Foundation Services deployment.
  `org.apache.commons.cli.Option`
  `createOptionServiceName()`
  Gets the option which is required to specify the name of a service defined within a SAS Foundation Services deployment.
  `String`
  `getNameOfOptionConfigFile()`
  Gets the name of the optional command line option, "configFile", used to specify the a configuration file that specifies the options to perform an action on a SAS Foundation Services deployment.
  `String`
  `getNameOfOptionConsumerName()`
  Gets the name of the command line option, "serviceConsumer", used to specify the name of a SAS Foundation Services deployment service configuration `Consumer`.
  `String`
  `getNameOfOptionConsumerNameNew()`
  Gets the name of the command line option, "serviceConsumerNew", used to specify the new name of a SAS Foundation Services deployment service configuration `Consumer`.
  `String`
  `getNameOfOptionDirectory()`
  Gets the name of the command line option, "directory", used to specify the absolute path to a file system directory.
  `String`
  `getNameOfOptionIsOverwriteConfig()`
  Gets the name of the optional command line option, "isOverwriteConfig", used to specify the whether it is OK to overwrite the SAS Foundation Services service's configuration in the event that the configuration being installed conflicts with the installed configuration.
  `String`
  `getNameOfOptionIsOverwriteFile()`
  Gets the name of the optional command line option, "isOverwriteFile", used to specify the whether it is OK to overwrite SAS Foundation Services deployment file when exporting a deployment.
  `String`
  `getNameOfOptionIsRemoveUnusedResources()`
  Gets the name of the optional command line option, "isRemoveUnusedResources", used to specify a value of either "true" or "false" to indicate whether unused resources should be removed from a service's configuration when a consumer's configuration is uninstalled.
  `String`
  `getNameOfOptionPropertyFile()`
  Gets the name of the command line option, "propertyFile", used to specify the absolute path to a properties file.
  `String`
  `getNameOfOptionServiceApplication()`
  Gets the name of the command line option, "serviceApplication", used to specify the name of an application which uses a layered service configuration.
  `String`
  `getNameOfOptionServiceConfigFile()`
  Gets the name of the command line option, "serviceConfigFile", used to specify the name of a SAS Foundation Service configuration file.
  `String`
  `getNameOfOptionServiceDeploymentFile()`
  Gets the name of the command line option, "serviceDeploymentFile", used to specify the name of a SAS Foundation Services deployment file.
  `String`
  `getNameOfOptionServiceDeploymentID()`
  Gets the name of the command line option, "serviceDeploymentID", used to specify the FQID of a SAS Foundation Services deployment.
  `String`
  `getNameOfOptionServiceDeploymentName()`
  Gets the name of the command line option, "serviceDeploymentName", used to specify the name of a SAS Foundation Services deployment.
  `String`
  `getNameOfOptionServiceGroupName()`
  Gets the name of the command line option, "serviceGroupName", used to specify the name of a group of services within a Foundation Services deployment configuration.
  `String`
  `getNameOfOptionServiceName()`
  Gets the name of the command line option, "serviceName", used to specify the name of a service within a Foundation Services deployment.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CLIOptionsServiceDeployment

    public CLIOptionsServiceDeployment()
    Constructs a default instance.
    Since:
      9.2

- ## Method Details

  - ### getNameOfOptionServiceApplication

    public String getNameOfOptionServiceApplication()
    Gets the name of the command line option, "serviceApplication", used to specify the name of an application which uses a layered service configuration.
    Returns:
      Name of the command line option, "serviceApplication", used to specify the name of an application which uses a layered service configuration. This name corresponds to the the sub directory under a services deployment directory. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionServiceGroupName

    public String getNameOfOptionServiceGroupName()
    Gets the name of the command line option, "serviceGroupName", used to specify the name of a group of services within a Foundation Services deployment configuration. This corresponds to the `Tree.Name`.
    Returns:
      Name of the command line option, "serviceGroupName", used to specify the name of a group of services within a Foundation Services deployment. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionServiceName

    public String getNameOfOptionServiceName()
    Gets the name of the command line option, "serviceName", used to specify the name of a service within a Foundation Services deployment. This corresponds to the `ServiceComponent.Name`.
    Returns:
      Name of the command line option, "serviceName", used to specify the name of a service within a Foundation Services deployment. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionServiceDeploymentName

    public String getNameOfOptionServiceDeploymentName()
    Gets the name of the command line option, "serviceDeploymentName", used to specify the name of a SAS Foundation Services deployment.
    Returns:
      Name of the command line option, "serviceDeploymentName", used to specify the name of a SAS Foundation Services deployment. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionServiceDeploymentID

    public String getNameOfOptionServiceDeploymentID()
    Gets the name of the command line option, "serviceDeploymentID", used to specify the FQID of a SAS Foundation Services deployment.
    Returns:
      Name of the command line option, "serviceDeploymentID", used to specify the FQID of a SAS Foundation Services deployment. A non-`null` reference is always returned.
    Since:
      9.3

  - ### getNameOfOptionConsumerName

    public String getNameOfOptionConsumerName()
    Gets the name of the command line option, "serviceConsumer", used to specify the name of a SAS Foundation Services deployment service configuration `Consumer`.
    Returns:
      Name of the command line option, "serviceConsumer", used to specify the name of a SAS Foundation Services deployment service configuration `Consumer`. A non- `null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionConsumerNameNew

    public String getNameOfOptionConsumerNameNew()
    Gets the name of the command line option, "serviceConsumerNew", used to specify the new name of a SAS Foundation Services deployment service configuration `Consumer`.
    Returns:
      Name of the command line option, "serviceConsumerNew", used to specify the new name of a SAS Foundation Services deployment service configuration `Consumer`. A non- `null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionServiceDeploymentFile

    public String getNameOfOptionServiceDeploymentFile()
    Gets the name of the command line option, "serviceDeploymentFile", used to specify the name of a SAS Foundation Services deployment file.
    Returns:
      Name of the command line option, "serviceDeploymentFile", used to specify the name of a SAS Foundation Services deployment file. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionServiceConfigFile

    public String getNameOfOptionServiceConfigFile()
    Gets the name of the command line option, "serviceConfigFile", used to specify the name of a SAS Foundation Service configuration file.
    Returns:
      Name of the command line option, "serviceConfigFile", used to specify the name of a SAS Foundation Service configuration file. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionDirectory

    public String getNameOfOptionDirectory()
    Gets the name of the command line option, "directory", used to specify the absolute path to a file system directory.
    Returns:
      Name of the command line option, "directory",used to specify the absolute path to a file system directory. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionPropertyFile

    public String getNameOfOptionPropertyFile()
    Gets the name of the command line option, "propertyFile", used to specify the absolute path to a properties file.
    Returns:
      Name of the command line option, "propertyFile",used to specify the absolute path to a properties file. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionIsOverwriteFile

    public String getNameOfOptionIsOverwriteFile()
    Gets the name of the optional command line option, "isOverwriteFile", used to specify the whether it is OK to overwrite SAS Foundation Services deployment file when exporting a deployment.
    Returns:
      Name of the optional command line option, "isOverwriteFile", used to specify the whether it is OK to overwrite SAS Foundation Services deployment file when exporting a deployment. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionIsOverwriteConfig

    public String getNameOfOptionIsOverwriteConfig()
    Gets the name of the optional command line option, "isOverwriteConfig", used to specify the whether it is OK to overwrite the SAS Foundation Services service's configuration in the event that the configuration being installed conflicts with the installed configuration.
    Returns:
      Name of the optional command line option, "isOverwriteConfig", used to specify the whether it is OK to overwrite the SAS Foundation Services service's configuration in the event that the configuration being installed conflicts with the installed configuration. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionConfigFile

    public String getNameOfOptionConfigFile()
    Gets the name of the optional command line option, "configFile", used to specify the a configuration file that specifies the options to perform an action on a SAS Foundation Services deployment.
    Returns:
      Name of the optional command line option, "configFile", which may be used to specify the name of configuration file that specifies options to perform an action on a SAS Foundation Services deployment. A non-`null` reference is always returned.
    Since:
      9.2

  - ### getNameOfOptionIsRemoveUnusedResources

    public String getNameOfOptionIsRemoveUnusedResources()
    Gets the name of the optional command line option, "isRemoveUnusedResources", used to specify a value of either "true" or "false" to indicate whether unused resources should be removed from a service's configuration when a consumer's configuration is uninstalled.
    Returns:
      Name of the optional command line option, "isRemoveUnusedResources", used to specify a value of either "true" or "false" to indicate whether unused resources should be removed from a service's configuration when a consumer's configuration is uninstalled. A non-`null` reference is always returned.
    Since:
      9.2

  - ### createOptionServiceName

    public org.apache.commons.cli.Option createOptionServiceName()
    Gets the option which is required to specify the name of a service defined within a SAS Foundation Services deployment.
    - `serviceName```
    Returns:
      Option required to specify the name of a service defined within a SAS Foundation Services deployment. A non-`null` reference is always returned.

  - ### createOptionIsRemoveUnusedResources

    public org.apache.commons.cli.Option createOptionIsRemoveUnusedResources()
    Gets the option which is required to specify whether unused resources should be removed from a service's configuration when a consumer's configuration is uninstalled.
    - `serviceName```
    Returns:
      Option required to specify whether unused resources should be removed from a service's configuration when a consumer's configuration is uninstalled. A non- `null` reference is always returned.

  - ### createOptionServiceGroupName

    public org.apache.commons.cli.Option createOptionServiceGroupName()
    Gets the option used to specify the name of a group of services defined within a SAS Foundation Services deployment. This corresponds to the metadata `Tree.Name`.
    - `serviceGroupName```
    Returns:
      Option required to specify the name of a group of services defined within a SAS Foundation Services deployment. A non-`null` reference is always returned.

  - ### createOptionServiceApplication

    public org.apache.commons.cli.Option createOptionServiceApplication()
    Gets the option which required to specify the name of an application which uses a layered service configuration.
    - `serviceApplication```
    Returns:
      Option required to specify the name of an application which uses a layered service configuration. A non-`null` reference is always returned.

  - ### createOptionServiceConfigFile

    public org.apache.commons.cli.Option createOptionServiceConfigFile()
    Gets the option which required to specify the name of a file for a SAS Foundation Services deployment.
    - `serviceDeploymentFile```
    Returns:
      Option required to specify a SAS Foundation Services deployment file. A non- `null` reference is always returned.
    See Also:
      - `createOptionIsOverwriteFile()`

  - ### createOptionDirectory

    public org.apache.commons.cli.Option createOptionDirectory()
    Gets the option which required to specify the absolute path to a file system directory.
    - `directory```
    Returns:
      Option required to specify the absolute path to a file system directory. A non- `null` reference is always returned.
    Since:
      9.3

  - ### createOptionPropertyFile

    public org.apache.commons.cli.Option createOptionPropertyFile()
    Gets the option which required to specify the absolute path to a properties file.
    - `propertyFile```
    Returns:
      Option required to specify the absolute path to a properties file. A non- `null` reference is always returned.
    Since:
      9.3

  - ### createOptionDeploymentFile

    public org.apache.commons.cli.Option createOptionDeploymentFile()
    Gets the option which required to specify the name of a file for a SAS Foundation Services deployment.
    - `serviceDeploymentFile```
    Returns:
      Option required to specify a SAS Foundation Services deployment file. A non- `null` reference is always returned.
    See Also:
      - `createOptionIsOverwriteFile()`

  - ### createOptionIsOverwriteConfig

    public org.apache.commons.cli.Option createOptionIsOverwriteConfig()
    Gets the optional control which can be used to specify whether it is OK to overwrite a SAS Foundation Services deployment XML file when exporting a deployment. If this option is not specified and an export file already exists, then the file will not be overwritten and an exception will be thrown.
    - `isOverwriteFile```
    Returns:
      Optional optional used to specify whether it is OK to overwrite a SAS Foundation Services deployment XML file when exporting a deployment. A non-`null` reference is always returned.
    See Also:
      - `createOptionDeploymentFile()`

  - ### createOptionIsOverwriteFile

    public org.apache.commons.cli.Option createOptionIsOverwriteFile()
    Gets the optional control which can be used to specify whether it is OK to overwrite a SAS Foundation Services deployment XML file when exporting a deployment. If this option is not specified and an export file already exists, then the file will not be overwritten and an exception will be thrown.
    - `isOverwriteFile```
    Returns:
      Optional optional used to specify whether it is OK to overwrite a SAS Foundation Services deployment XML file when exporting a deployment. A non-`null` reference is always returned.
    See Also:
      - `createOptionDeploymentFile()`

  - ### createOptionConsumerName

    public org.apache.commons.cli.Option createOptionConsumerName()
    Gets the option which required to specify the name of a SAS Foundation Services deployment service configuration consumer.
    - `serviceConsumer`
    Returns:
      Option used to specify the name of SAS Foundation Services deployment service configuration consumer. A non-`null` reference is always returned.
    See Also:
      - `createOptionConsumerNameNew()`

  - ### createOptionConsumerNameNew

    public org.apache.commons.cli.Option createOptionConsumerNameNew()
    Gets the option which required to specify the new name of a SAS Foundation Services deployment service configuration consumer.
    - `serviceConsumerNew`
    Returns:
      Option used to specify the new name of SAS Foundation Services deployment service configuration consumer. A non-`null` reference is always returned.
    See Also:
      - `createOptionConsumerName()`

  - ### createOptionDeploymentName

    public org.apache.commons.cli.Option createOptionDeploymentName()
    Gets the option which required to specify the name of a SAS Foundation Services deployment.
    - `serviceDeploymentName`
    Returns:
      Option used to specify the name of SAS Foundation Services deployment (i.e. `SoftwareComponent.Name`). A non-`null` reference is always returned.

  - ### createOptionDeploymentID

    public org.apache.commons.cli.Option createOptionDeploymentID()
    Gets the option which required to specify the FQID of a SAS Foundation Services deployment.
    - `serviceDeploymentID`
    Returns:
      Option used to specify the FQID of SAS Foundation Services deployment (i.e. `SoftwareComponent.Id`). A non-`null` reference is always returned.
    Since:
      9.3

  - ### createOptionConfigFile

    public org.apache.commons.cli.Option createOptionConfigFile()
    Gets the optional option which required to specify the name of a file which contains all configuration options.
    - `configFile```
    Returns:
      Optional option required to specify a SAS Foundation Services deployment file. This option initialized as optional. A non-`null` reference is always returned.